#include "defines.h"
#include "amacro.h"

int cwidth(int wd)
{
int x,y;
static unsint crt[3]={0x100+14,0x100+12,0x100+16}; /* CRTMOD()データ */
	x=TWIDTH(&y);
	if (wd!=x) { /* まだその解像度で無い時のみ変更 */
		CRTMOD(crt[wd/32-1]);
		CLS();
	}
	return(x); /* 前の解像度 */
}
